summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/tlpkg/bin/check-tlnet-consistency2
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi30
-rw-r--r--TODO3
3 files changed, 12 insertions, 23 deletions
diff --git a/Master/tlpkg/bin/check-tlnet-consistency b/Master/tlpkg/bin/check-tlnet-consistency
index bc7701a19d4..07ce83c08c1 100755
--- a/Master/tlpkg/bin/check-tlnet-consistency
+++ b/Master/tlpkg/bin/check-tlnet-consistency
@@ -191,7 +191,7 @@ sub main
}
}
if (@sizeerror) {
- print "packages with wront container size/md5s:\n";
+ print "packages with wrong container size/md5s:\n";
for my $p (@sizeerror) {
print "$p\n";
}
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
index 229b042d31d..ff05d7d5aeb 100755
--- a/Master/tlpkg/bin/tl-update-txi
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -45,6 +45,14 @@ do_dvips() {
}
#
+do_epspdf() {
+ mypkg=epspdf
+ cd $Master/texmf-dist/doc/support/$mypkg || exit 1
+ makeinfo --no-split $mypkg.info
+ mvcp-if-change $mypkg.info $infodir/
+}
+
+#
do_kpathsea() {
mypkg=kpathsea
cd $xk/$mypkg || exit 1
@@ -54,25 +62,6 @@ do_kpathsea() {
}
#
-# Uniquely, no .info files in the distribution.
-do_texinfo() {
- mypkg=texinfo
- cd $xu/$mypkg/doc || exit 1
- for manual in info info-stnd texinfo; do
- if test $manual = texinfo; then
- src=$manual.txi
- else
- src=$manual.texi
- fi
- makeinfo --no-split $src
- test $manual = texinfo && mv texinfo texinfo.info
- mvcp-if-change $manual.info $infodir/
- $texihtml $src && mv -v $manual.html $docdir/$mypkg/
- $texipdf $src && mv -v $manual.pdf $docdir/$mypkg/
- done
-}
-
-#
do_web2c() {
mypkg=web2c
cd $xk/$mypkg/doc || exit 1
@@ -83,11 +72,10 @@ do_web2c() {
do_dvipng
do_dvips
+do_epspdf
do_kpathsea
-do_texinfo
do_web2c
exit $?
-# still to add checks for: eplain, fontname.
# static: tds, texdraw.
diff --git a/TODO b/TODO
index 6189578ccff..849acbab045 100644
--- a/TODO
+++ b/TODO
@@ -32,7 +32,8 @@ Public domain. TODO:
whatever directories make sense.
- create texmf-dist/tex/luatex for lua-inputenc and luamcallbacks, if
not done already.
-- kpsewhich default to "TeX system documentation" for *.pdf, *.html
+- kpsewhich default to "TeX system documentation" for *.pdf, *.html.
+- add epspdf to doc/info/dir (should not be in bin-kpathsea, either).
1. Package updates
==================